get/customer/by-id?customerId=<CUSTOMER_ID>

Get Customer

Retrieve detailed information for a specific customer by their ID.

Authentication required: Bearer Token in Authorization header.

Parameters

customerIdrequired
string (query)

ID of the customer

e.g. <CUSTOMER_ID>

Responses

200Successfully retrieved customer information

Response Body (200)

action
string
status
boolean
data
array
code
integer
Request Example
curl -X GET "https://api.keymint.dev/customer/by-id?customerId=%3CCUSTOMER_ID%3E" \
  -H "Authorization: Bearer <YOUR_API_KEY>"
Response (200 OK)
{
  "action": "getCustomerById",
  "status": true,
  "data": [
    {
      "id": "078116d0069c32407b4f63",
      "name": "Test Customer",
      "email": "test-1756752334256@example.com",
      "active": true,
      "createdAt": "2025-09-01T18:45:38.060Z",
      "updatedAt": "2025-09-01T18:45:38.060Z"
    }
  ],
  "code": 0
}